| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessOneShotRGBEstimator Struct Referenceabstract
Estimators

OneShot RGB Liveness estimator interface. More...

`#include <ILivenessOneShotRGBEstimator.h>`

Inheritance diagram for fsdk::ILivenessOneShotRGBEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, const Landmarks5 &landmarks5, LivenessOneShotRGBEstimation &estimation, float qualityThreshold=-1.f) const noexcept=0
| OneShot RGB Liveness estimation. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< const Landmarks5 > landmarks5, Span< LivenessOneShotRGBEstimation > estimations, float qualityThreshold=-1.f, LivenessOneShotRGBEstimation *aggregation=nullptr) const noexcept=0
| OneShot RGB Liveness estimation. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< const Landmarks5 > landmarks5, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

OneShot RGB Liveness estimator interface.

Note
  This estimator is designed for liveness detection.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessOneShotRGBEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | const Landmarks5 & | landmarks5,
|  | LivenessOneShotRGBEstimation & | estimation,
|  | float | qualityThreshold = `-1.f`
| ) |  | const
| pure virtual noexcept

OneShot RGB Liveness estimation.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space;
  [in] | landmarks5 | Landmarks5 for the detection;
  [out] | estimation | estimation results.
  [in] | qualityThreshold | quality threshold;

Returns
  Result with error code.

See Also
  Detection, LivenessOneShotRGBEstimation, Landmarks, Image, Result and FSDKError for details.

Note
  image format must be R8G8B8,

See Also
  Format.

virtual Result<FSDKError> fsdk::ILivenessOneShotRGBEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< const Landmarks5 > | landmarks5,
|  | Span< LivenessOneShotRGBEstimation > | estimations,
|  | float | qualityThreshold = `-1.f`,
|  | LivenessOneShotRGBEstimation * | aggregation = `nullptr`
| ) |  | const
| pure virtual noexcept

OneShot RGB Liveness estimation.

Parameters

  [in] | images | span of source images;
  [in] | detections | span of detection coordinates in corresponding source images space;
  [in] | landmarks5 | span of Landmarks5;
  [out] | estimations | span of estimations;
  [in] | qualityThreshold | quality threshold;
  [out] | aggregation | aggregated value based on estimations;

Returns
  Result with error code.

See Also
  Span, Detection, LivenessOneShotRGBEstimation, Landmarks, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::ILivenessOneShotRGBEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< const Landmarks5 > | landmarks5,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [in] | landmarks5 | span of landmarks
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See Also
  Span, Landmarks, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessOneShotRGBEstimator.h